<?php
/**
* @version		$Id: admin.contact.php 10571 2008-07-21 01:27:35Z pasamio $
* @package		Joomla
* @subpackage	Joomla Update Backend HTML
* @copyright	Copyright (C) 2005 - 2008 Ossolution. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );


class HTML_joomlaupdate{
	/**
	 * Configuration
	 *
	 * @param unknown_type $option
	 * @param unknown_type $configs
	 */
	function config($option,$configs,$lists){
		global $mainframe;
		$config = new JConfig();
		?>
		<form method="POST" action="index.php" name="adminForm">
		<table cellpadding="0" cellspacing="0" width="100%" class="admintable">
			<tr>
				<td class="key">
					<?php
					echo _DOWNLOAD_METHOD
					?>
				</td>
				<td>
					<?php
					echo $lists['download'];
					?>
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php
					echo _USE_PROXY;
					?>
				</td>
				<td>
					<?php
					echo $lists['use_proxy'];
					?>
					&nbsp;&nbsp;&nbsp;&nbsp;
					<?php
					echo _IN_THE_CASE_YOU_HAVE_FTP;
					?>
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php
					echo _PROXY_HOSTNAME;
					?>
				</td>
				<td>
					<?php
					$host = $configs[3]->config_value;
					if($host == ""){
						$host = $config->ftp_host;
					}
					?>
					<input type="text" name="proxy_hostname" value="<?php echo $host?>">
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php
					echo _PROXY_PORT;
					?>
				</td>
				<td>
					<?php
					$port = $configs[4]->config_value;
					if($port == ""){
						$port = $config->ftp_port;
					}
					?>
					<input type="text" name="proxy_port" value="<?php echo $port?>">
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php
					echo _PROXY_USERNAME;
					?>
				</td>
				<td>
					<?php
					$user = $configs[5]->config_value;
					if($user== ""){
						$user = $config->ftp_user;
					}
					?>
					<input type="text" name="proxy_username" value="<?php echo $user?>">
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php
					echo _PROXY_PASSWORD;
					?>
				</td>
				<td>
					<?php
					$pass = $configs[6]->config_value;
					if($pass == ""){
						$pass = $config->ftp_pass;
					}
					?>
					<input type="text" name="proxy_password" value="<?php echo $pass?>">
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php
					echo _FTP_ROOT;
					?>
				</td>
				<td>
					<?php
					$root = $configs[11]->config_value;
					if($root == ""){
						$root = $config->ftp_root;
					}
					?>
					<input type="text" name="ftp_root" value="<?php echo $root?>">
				</td>
			</tr>
		</table>
		<input type="hidden" name="option" value="com_jupdate">
		<input type="hidden" name="task" value="">
		<input type="hidden" name="boxchecked" value="0">
		</form>
		<?php
	}
	function restore_confirm($option,$backup){
		global $mainframe;
		?>
		<table cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td width="100%" align="center" style="padding:20px;">
					<b><font color='red'><?php echo _THE_BACKUP_VERSION_WAS_CREATED_ON?> <?php 
					$date = new JDate($backup->backup);
					echo $date->toFormat(JText::_('DATE_FORMAT_LC2'));
					?></font> <font color='green'><?php echo _VERSION?>: <?php echo $backup->version?></font></b>
					<BR>
					<BR>
					<b><?php echo strtoupper(_ARE_YOU_SURE_YOU_WANT_TO_RESTORE)?></b>
					<BR><BR>
					<a href="index.php?option=com_jupdate&task=restore"><?php echo strtoupper(_YES)?></a> &nbsp;&nbsp;|&nbsp;&nbsp; <a href="index.php?option=com_jupdate"><?php echo strtoupper(_NO)?></a>
				</td>
			</tr>
		</table>
		<?php
	}
	function preinstall($option,$error_download,$version){
		global $mainframe;
		?>
		<script language="javascript">
		function changeValue(id){
			var temp = document.getElementById(id);
			if(temp.value == 0){
				temp.value = 1;
			}else{
				temp.value = 0;
			}
		}
		function installauto(){
			var form = document.adminForm;
			form.task.value = "doinstall";
			form.submit();
		}
		function installmanual(){
			var form = document.adminForm;
			pack_file = form.pack_file;
			if(pack_file.value == ""){
				alert("<?php echo _PLEASE_SELECT_FILE?>");
				return false;
			}else if(pack_file.value.lastIndexOf(".zip")==-1) {
			   alert("Please upload only .ZIP extention file");
			   return false;
			}else{
				form.task.value = "domanualinstall";
				form.submit();
			}
		}
		</script>
		<form method="POST" action="index.php" name="adminForm" enctype="multipart/form-data">
		<input type="hidden" name="MAX_FILE_SIZE" value="9000000000">
		<table cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td width="100%">
					<div style="width:100%">
						<fieldset>
						<legend>
							Version info
						</legend>
							<div style="width:100%;text-align:left;padding:5px;">
							<b>
							<?php
							echo _CURRENT_VERSION.": ".$version->current_version;
							?>
							&nbsp;&nbsp;
							<?php
							echo _LATEST_VERSION.": ".$version->latest_version;
							?>
							</b>
							</div>
						</fieldset>
					</div>
				</td>
			</tr>
		</table>
		<BR>
		<table cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td width="100%">
					<table cellpadding="0" cellspacing="0" width="100%">
						<tr>
							<td width="50%">
							<div style="width:100%">
								<fieldset>
								<legend>
									<?php echo _INSTALL_FROM_AUTO?>
								</legend>
								<?php
								if($error_download == 0 ){
								?>
								<div style="width:100%;text-align:center;padding:20px;">
								<center>
									<input type="checkbox" name="backup_1" id="backup_1" value="1" onclick="javascript:changeValue('backup_1')" checked> <?php echo _BACKUP_BEFORE_INSTALL?>
									<BR>
									<BR>
									<input type="button" value="<?php echo _INSTALL_FROM_SERVER?>" class="button" onclick="javascript:installauto()">
								</center>
								</div>
								<?php
								}else{
									?>
									<div style="width:100%;text-align:center;padding:20px;">
										<center>
											<font color='Red' style="font-weight:bold;">
												<?php
													echo strtoupper(_CANNOT_DOWNLOAD_THE_PACKAGE);
												?>
											</font>
										</center>
									</div>
									<?php
								}
								?>
								</fieldset>
							</div>
							</td>
							<td width="50%">
								<div style="width:100%">
								<fieldset>
								<legend>
									<?php echo _INSTALL_BY_MANUAL?>
								</legend>
								<div style="width:100%;text-align:center;padding:20px;">
								<center>
									<input type="checkbox" name="backup_2" id="backup_2" value="1" checked onclick="javascript:changeValue('backup_2')"> <?php echo _BACKUP_BEFORE_INSTALL?>
									<BR>
									<BR>
									<input type="file" name="pack_file" size="40" class="inputbox" id="pack_file">
									<input type="button" value="<?php echo _INSTALL?>" class="button" onclick="javascript:installmanual()">
								</center>
								</div>
								</div>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		<input type="hidden" name="option" value="com_jupdate">
		<input type="hidden" name="task" value="">
		<input type="hidden" name="boxchecked" value="0">
		</form>
		<?php
	}
	function updateView($option,$version,$pack_link){
		global $mainframe;
		?>
		<script language="javascript">
		function checkInstall(str){
			var answer = confirm(str);
			if(answer == 1){
				location.href = "index.php?option=com_jupdate&task=preinstall";
			}
		}
		</script>
		<table cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td width="100%" align="center">
					<table cellpadding="0" cellspacing="0" width="80%">
						<?php
						if($version->latest_version != ""){
							if($version->current_version !=  $version->latest_version){
							?>
							<tr>
								<td width="30%" align="left" style="padding:5px;font-weight:bold;border-right:1px solid #CCC;border-bottom:1px solid #CCC;border-top:1px solid #CCC;border-left:1px solid #CCC;">
									<?php
										echo _PATCH_VERSION
									?>
								</td>
								<td width="70%" align="left" style="padding:5px;border-bottom:1px solid #CCC;border-right:1px solid #CCC;border-top:1px solid #CCC;">
									<a href="<?php echo $pack_link?>">
									<?php
										echo $pack_link;
									?>
									</a>
								</td>
							</tr>
							<?php
							}
						}
						?>
						<tr>
							<td width="30%" align="left" style="padding:5px;font-weight:bold;border-right:1px solid #CCC;border-bottom:1px solid #CCC;border-top:1px solid #CCC;border-left:1px solid #CCC;">
								<?php
									echo _CURRENT_VERSION
								?>
							</td>
							<td width="70%" align="left" style="padding:5px;border-bottom:1px solid #CCC;border-top:1px solid #CCC;border-right:1px solid #CCC;">
								<?php
									echo $version->current_version;
								?>
							</td>
						</tr>
						<tr>
							<td width="30%" align="left" style="padding:5px;font-weight:bold;border-right:1px solid #CCC;border-bottom:1px solid #CCC;border-left:1px solid #CCC;">
								<?php
									echo _LATEST_VERSION
								?>
							</td>
							<td width="70%" align="left" style="padding:5px;border-bottom:1px solid #CCC;border-right:1px solid #CCC;">
								<?php
									echo $version->latest_version;
								?>
							</td>
						</tr>
						<tr>
							<td width="100%" align="left" style="padding:0px;padding-top:20px;border:0px;" colspan="2">
								<?php
								if($version->current_version != $version->latest_version){
									?>
									<input type="button" class="button" value="<?php echo strtoupper(_INSTALL_JOOMLA_PATCH_FROM)." ".$version->current_version." ".strtoupper(_TO)." ".$version->latest_version;?>" onclick="javascript:checkInstall('<?php echo _ARE_YOU_SURE._INSTALL_JOOMLA_PATCH_FROM." ".$version->current_version." "._TO." ".$version->latest_version;?>')">
									<?php
								}
								?>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		<?php
	}
	
	/**
	 * Restore from the backup
	 *
	 * @param unknown_type $option
	 */
	function restore($option,$restore_complete,$backup){
		global $mainframe;
		?>
		<table cellpadding="0" cellspacing="0" width="100%" style="border:1px solid #CCC;">
			<tr>
				<td width="100%" align="center" style="padding:10px;">
					<b>
						<?php
						if($restore_complete == 1){
							echo "<font color='green'>".strtoupper(_RESTORE_BACKUP_COMPLETED);
						}else{
							echo "<font color='red'>".strtoupper(_RESTORE_BACKUP_FAILED);
						}
						?>
					</b></font>
					<BR><BR>
					<table cellpadding="0" cellspacing="0" width="100%">
						<tr>
							<td width="100%" align="center">
								<b>
									<?php echo _CURRENT_VERSION?>: <font color='blue'><?php 
									//$jv = new JVersion();  
  									//$currentversion = $jv->getShortVersion();
  									//echo $currentversion;
  									echo $backup->version;
									?></font>
								</b>
							</td>
						</tr>
					</table>
					<BR>
					<BR>
					<center>
						<a href="<?php echo JURI::root()?>administrator/index.php?option=com_jupdate"><?php echo _CLICK_HERE_TO_GOTO_HOMEPAGE?></a>
					</center>
				</td>
			</tr>
		</table>
		<?php
	}
	
	function installProcess($option,$file,$tempdir,$backup_1){
		global $mainframe;
		?>
		<form method="POST" action="index.php" name="adminForm">
		<?php
		ob_start();
		?>
		<table cellpadding='0' cellspacing='0' width='100%'>
			<tr>
				<td width='100%' align='center' style='padding:20px;'>
					<b>
						<?php
						echo strtoupper(_DO_NOT_REFRESH_PAGE);
						?>
					</b>
					<BR>
					<BR>
					<img src='<?php echo JURI::root()?>administrator/components/com_jupdate/images/loading.gif'>
				</td>
			</tr>
		</table>
		<?php
		$body = ob_get_contents();
		ob_end_clean();
		?>
		<div style="display:none;">
		<textarea name="loading" id="loading"><?php echo $body?></textarea>
		</div>
		<table cellpadding="0" cellspacing="0" width="100%" align="center">
			<tr>
				<td width="100%" style="padding:20px;">
				<script language="javascript">
				function doinstall(){
					doinstallajax("<?php echo JURI::root()?>","<?php echo $file?>","<?php echo $tempdir?>","<?php echo $backup_1?>");
				}
				</script>
				<div id="returndiv" style="width:100%;text-align:center;" >
				
				</div>
				<script language="javascript">
				doinstall();
				</script>
				</td>
			</tr>
		</table>
		<input type="hidden" name="live_site" id="live_site" value="<?php echo JURI::root()?>">
		</form>
		<?php
	}
	
	function defaultView($option,$version,$isbackup,$config){
		global $mainframe;
		if($version->current_version == $version->latest_version){
			$jupdatestatus = "ok";
		}else{
			$jupdatestatus = "warning";
		}
		if($config[10]->config_value == $config[8]->config_value){
			$update = 1;
		}else{
			$update = 0;
		}
		?>
		<table cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td width="60%" valign="top">
					<table cellpadding="0" cellspacing="0" width="100%">
						<tr>
							<td width="100%" align="left">
								<h2><?php echo JText::_('_UPDATES') ?></h2>
								<div>
									<div id="cpanel">
										<div style="float:left;">
											<div class="icon">
												<a href="index.php?option=<?php echo $option ?>&task=update">
													<img src="<?php echo JURI::base(); ?>components/com_jupdate/images/<?php echo $jupdatestatus ?>.png"
													border="0" alt="<?php echo JText::_('_TITLE_JUPDATE') ?>" />
													<span>
														<!--<?php echo JText::_('_LBL_JUPDATE_TITLE') ?><br/>-->
														<span class="update-<?php echo $jupdatestatus ?>"><b>
														<?php echo JText::_('_LBL_JUPDATE_STATUS_'.strtoupper($jupdatestatus)) ?>
														</b>
														</span>
													</span>
												</a>
											</div>
											<?php
											if($isbackup > 0){
											?>
											<div class="icon">
												<a href="index.php?option=<?php echo $option ?>&task=restore_confirm">
													<img src="<?php echo JURI::base(); ?>components/com_jupdate/images/backup.png"
													border="0" alt="<?php echo JText::_('_RESTORE_BACKUP') ?>" />
													<span>
													<?php echo JText::_('_BACKUP_AVAILABLE') ?><br/>
													<span style="font-weight:bold;color:green;">
														<?php echo JText::_('_RESTORE_BACKUP') ?>
													</span>
													</span>
												</a>
											</div>
											<?php
											}
											//jimport('joomla.filesystem.folder');
											//if(JFolder::exists(JPATH_ADMINISTRATOR.DS."components".DS."com_jupdatecheck")){
												?>
												<div class="icon">
													<a href="index.php?option=com_jupdate&task=check_system">
														<img src="<?php echo JURI::base(); ?>components/com_jupdate/images/joomlaupdatecheck.png"
														border="0" alt="<?php echo JText::_('_JU_COMPONENT_UPDATE_CHECK') ?>" />
														<span>
														<span style="font-weight:bold;color:green;">
															<?php echo JText::_('_JU_COMPONENT_UPDATE_CHECK') ?>
														</span>
														</span>
													</a>
												</div>
												<?php
											//}
											?>
											<div class="icon">
												<a href="index.php?option=<?php echo $option ?>&task=config">
													<img src="<?php echo JURI::base(); ?>components/com_jupdate/images/config.png"
													border="0" alt="<?php echo JText::_('_CONFIGURATION') ?>" />
													<span>
													<span style="font-weight:bold;color:black;">
														<?php echo JText::_('_CONFIGURATION') ?>
													</span>
													</span>
												</a>
											</div>
											<?php
											if($update == 1){
												?>
												<div class="icon">
													<a href="index.php?option=<?php echo $option ?>&task=upgrateju">
														<img src="<?php echo JURI::base(); ?>components/com_jupdate/images/yes.png"
														border="0" alt="<?php echo JText::_('_JU_COMPONENT_UP_TO_DATE') ?>" />
														<span>
														<span style="font-weight:bold;color:green;">
															<?php echo JText::_('_JU_COMPONENT_UP_TO_DATE') ?>
														</span>
														</span>
													</a>
												</div>
												<?php
											}else{
												?>
												<div class="icon">
													<a href="index.php?option=<?php echo $option ?>&task=upgrateju">
														<img src="<?php echo JURI::base(); ?>components/com_jupdate/images/no.png"
														border="0" alt="<?php echo JText::_('_JU_COMPONENT_UPDATE') ?>" />
														<span>
														<span style="font-weight:bold;color:red;">
															<?php echo JText::_('_JU_COMPONENT_UPDATE') ?>
														</span>
														</span>
													</a>
												</div>
												<?php
											}
											
											
											?>
										</div>
										<div style="clear: both;"></div>
									</div>
								</div>
								
							</td>
						</tr>
					</table>
				</td>
				<td width="40%" valign="top">
					<table cellpadding="0" cellspacing="0" width="100%">
						<tr>
							<td width="100%" align="left">
								<div id="sidepanes" style="width:100%;">
									<?php
									jimport('joomla.html.pane');
									JHTML::_('behavior.mootools');
								
									$pane =& JPane::getInstance('Sliders');
								
									echo $pane->startPane('admintools')."\n";
								
									echo $pane->startPanel(JText::_('_CP_UPDATESTATS'),'joomlacore')."\n";
								?>
										<table id="joomla-update-information" cellpadding="0" cellspacing="0" width="100%">
											<tr>
												<td class="label" style="padding:5px;"><?php echo JText::_('_YOURVERSION') ?></td>
												<td style="padding:5px;"><b><?php echo $version->current_version ?></b></td>
											</tr>
											<tr>
												<td class="label" style="padding:5px;"><?php echo JText::_('_LATESTVERSION') ?></td>
												<td style="padding:5px;"><b><?php echo $version->latest_version ?></b></td>
											</tr>
											<tr>
												<td width="100%" colspan="2" align="left" style="background-color:white;padding-top:20px;padding-bottom:20px;border:0px;">
													<table cellpadding="0" cellspacing="0" width="100%" style="border:0px;">
														<tr>
															<td width="40%" align="center" style="border:0px;">
																<?php
																if($version->current_version != $version->latest_version){
																	?>
																	<img src="<?php echo JURI::base()?>components/com_jupdate/images/cancel.png">
																	<?php
																}else{
																	?>
																	<img src="<?php echo JURI::base()?>components/com_jupdate/images/check.png">
																	<?php
																}
																?>
															</td>
															<td width="60%" style="border:0px;">
																<?php
																if($version->current_version != $version->latest_version){
																	echo "<font color='red'><b>"._YOU_CAN_UPDATE_JOOMLA."</b></font>";
																}else{
																	echo "<font color='green'><b>"._YOU_HAVE_THE_LATEST_VERSION."</b></font>";
																}
																?>
															</td>
														</tr>
													</table>
												</td>
											</tr>
										</table>
										
								<?php
									echo $pane->endPanel()."\n";
									echo $pane->startPanel(JText::_('_JU_VERSION_INFO'),'joomlacore')."\n";
								?>
										<table id="joomla-update-information" cellpadding="0" cellspacing="0" width="100%">
											<tr>
												<td class="label" style="padding:5px;"><?php echo JText::_('_YOURCOMPONENTVERSION') ?></td>
												<td style="padding:5px;"><b><?php 
												echo $config[10]->config_value ?></b></td>
											</tr>
											<tr>
												<td class="label" style="padding:5px;"><?php echo JText::_('_LASTESTVERSION') ?></td>
												<td style="padding:5px;"><b><?php echo $config[8]->config_value ?></b></td>
											</tr>
											<tr>
												<td class="label" style="padding:5px;"><?php echo JText::_('_UPDATEON') ?></td>
												<td style="padding:5px;"><b><?php 
													$date = new JDate($config[9]->config_value);
													echo $date->toFormat(JText::_('DATE_FORMAT_LC2'));
													//echo date("D, d M Y H:i",$config[9]->config_value);
												 ?></b></td>
											</tr>
											<tr>
												<td width="100%" colspan="2" align="left" style="background-color:white;padding-top:20px;padding-bottom:20px;border:0px;">
													<table cellpadding="0" cellspacing="0" width="100%" style="border:0px;">
														<tr>
															<td width="40%" align="center" style="border:0px;">
																<?php
																if($config[10]->config_value != $config[8]->config_value){
																	?>
																	<img src="<?php echo JURI::base()?>components/com_jupdate/images/cancel.png">
																	<?php
																}else{
																	?>
																	<img src="<?php echo JURI::base()?>components/com_jupdate/images/check.png">
																	<?php
																}
																?>
															</td>
															<td width="60%" style="border:0px;">
																<?php
																
																$latest_ju = $config[8]->config_value;
																$current_ju = $config[10]->config_value;
																$latest_ju = floatval($latest_ju);
																$current_ju = floatval($current_ju);
																
																if($latest_ju == ""){
																	echo "<font color='red'><b>"._LATEST_VERSION_IS_NOT_AVAILABLE."</b></font>";
																}elseif($config[10]->config_value != $config[8]->config_value){
																	echo "<font color='red'><b>"._YOU_CAN_UPDATE_JU_COMPONENT."</b></font>";
																}else{
																	echo "<font color='green'><b>"._YOU_HAVE_THE_LATEST_JU_COMPONENT_VERSION."</b></font>";
																}
																?>
															</td>
														</tr>
														<tr>
															<td width="100%" colspan="2" style="padding:5px;padding-top:10px;" align="center">
																<?php
																if($config[10]->config_value != $config[8]->config_value){
																	?>
																	<a href="index.php?option=com_jupdate&task=upgrateju" title="<?php  echo _INSTALL_LATEST_VERSION_OF_JU_COMPONENT ?>">
																	<?php  echo _INSTALL_LATEST_VERSION_OF_JU_COMPONENT ?>
																	</a>
																	<?php
																}
																?>
															</td>
														</tr>
													</table>
												</td>
											</tr>
										</table>
										
								<?php
									echo $pane->endPanel()."\n";
									echo $pane->endPane()."\n";
									?>
									</div>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		<?php
	}
	
	function updateju($option,$config){
		global $mainframe;
		$current_version = $config[10]->config_value;
		$latest_version = $config[8]->config_value;
		$server_link = $config[1]->config_value;
		$pack_link = $server_link."/media/joomlapatch/patch_ju.zip";
		?>
		<script language="javascript">
		function checkInstall(str){
			var answer = confirm(str);
			if(answer == 1){
				location.href = "index.php?option=com_jupdate&task=preinstallju";
			}
		}
		</script>
		<table cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td width="100%" align="center">
					<table cellpadding="0" cellspacing="0" width="80%" style="border:1px solid #CCC;">
						<?php
						if($current_version !=  $latest_version){
						?>
						<tr>
							<td width="30%" align="left" style="padding:5px;font-weight:bold;border-right:1px solid #CCC;border-bottom:1px solid #CCC;">
								<?php
									echo _PATCH_VERSION
								?>
							</td>
							<td width="70%" align="left" style="padding:5px;border-bottom:1px solid #CCC;">
								<a href="<?php echo $pack_link?>">
								<?php
									echo $pack_link;
								?>
								</a>
							</td>
						</tr>
						<?php
						}
						?>
						<tr>
							<td width="30%" align="left" style="padding:5px;font-weight:bold;border-right:1px solid #CCC;border-bottom:1px solid #CCC;">
								<?php
									echo _CURRENT_JU_VERSION
								?>
							</td>
							<td width="70%" align="left" style="padding:5px;border-bottom:1px solid #CCC;">
								<?php
									echo $current_version;
								?>
							</td>
						</tr>
						<tr>
							<td width="30%" align="left" style="padding:5px;font-weight:bold;border-right:1px solid #CCC;border-bottom:1px solid #CCC;">
								<?php
									echo _LATEST_JU_VERSION
								?>
							</td>
							<td width="70%" align="left" style="padding:5px;border-bottom:1px solid #CCC;">
								<?php
									echo $latest_version;
								?>
							</td>
						</tr>
						<tr>
							<td width="100%" align="left" style="padding:5px;padding-top:20px;" colspan="2">
								<?php
								if($current_version != $latest_version){
									?>
									<input type="button" class="button" value="<?php echo strtoupper(_INSTALL_JU_PATCH_FROM)." ".$current_version." ".strtoupper(_TO)." ".$latest_version;?>" onclick="javascript:checkInstall('<?php echo _ARE_YOU_SURE._INSTALL_JU_PATCH_FROM." ".$current_version." "._TO." ".$latest_version;?>')">
									<?php
								}
								?>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		<?php
	}
	
	function preinstallJu($option,$error_download,$config){
		global $mainframe;
		$current_version = $config[10]->config_value;
		$latest_version = $config[8]->config_value;
		?>
		<script language="javascript">
		function installauto(){
			var form = document.adminForm;
			form.task.value = "doinstallju";
			form.submit();
		}
		function installmanual(){
			var form = document.adminForm;
			pack_file = form.pack_file;
			if(pack_file.value == ""){
				alert("<?php echo _PLEASE_SELECT_FILE?>");
				return false;
			}else if(pack_file.value.lastIndexOf(".zip")==-1) {
			   alert("<?php echo _PLEASE_SELECT_ZIP_FILE?>");
			   return false;
			}else{
				form.task.value = "domanualinstallju";
				form.submit();
			}
		}
		</script>
		<form method="POST" action="index.php" name="adminForm" enctype="multipart/form-data">
		<input type="hidden" name="MAX_FILE_SIZE" value="9000000000">
		<table cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td width="100%">
					<div style="width:100%">
						<fieldset>
						<legend>
							<?php echo _JU_VERSION_INFO?>
						</legend>
							<div style="width:100%;text-align:left;padding:5px;">
							<b>
							<?php
							echo _CURRENT_JU_VERSION.": ".$current_version;
							?>
							&nbsp;&nbsp;
							<?php
							echo _LATEST_JU_VERSION.": ".$latest_version;
							?>
							</b>
							</div>
						</fieldset>
					</div>
				</td>
			</tr>
		</table>
		<BR>
		<table cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td width="100%">
					<table cellpadding="0" cellspacing="0" width="100%">
						<tr>
							<td width="50%">
							<div style="width:100%">
								<fieldset>
								<legend>
									<?php echo _INSTALL_FROM_AUTO?>
								</legend>
								<?php
								if($error_download == 0 ){
								?>
									<div style="width:100%;text-align:center;padding:20px;">
										<center>
											<input type="button" value="<?php echo _INSTALL_FROM_SERVER?>" class="button" onclick="javascript:installauto()">
										</center>
									</div>
								<?php
								}else{
									?>
									<div style="width:100%;text-align:center;padding:20px;">
										<center>
											<font color='Red' style="font-weight:bold;">
												<?php
													echo strtoupper(_CANNOT_DOWNLOAD_THE_PACKAGE);
												?>
											</font>
										</center>
									</div>
									<?php
								}
								?>
								</fieldset>
							</div>
							</td>
							<td width="50%">
								<div style="width:100%">
								<fieldset>
									<legend>
										<?php echo _INSTALL_BY_MANUAL?>
									</legend>
									<div style="width:100%;text-align:center;padding:20px;">
										<center>
											<input type="file" name="pack_file" size="40" class="inputbox" id="pack_file">
											<input type="button" value="<?php echo _INSTALL?>" class="button" onclick="javascript:installmanual()">
										</center>
									</div>
								</div>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		<input type="hidden" name="option" value="com_jupdate">
		<input type="hidden" name="task" value="">
		<input type="hidden" name="boxchecked" value="0">
		</form>
		<?php
	}
	
	
	function intallResult($option,$error,$msg,$latest_version){
		global $mainframe;
		if($error == 0){
			$color = "green";
			$msg = _INSTALL_LATEST_VERSION_OF_JU_COMPONENT_COMPLETE;
		}else{
			$color = "red";
		}
		?>
		<table cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td width="100%" align="center" style="padding:10px;">
					<font color='<?php echo $color?>' style="font-size:13px;font-weight:bold;">
						<?php
							echo $msg;
						?>
					</font>
					<BR>
					<BR>
					<?php
					if($error == 0){
						echo _YOUR_CURRENT_JU_COMPONENT_VERSION;
						echo ": ".$latest_version;
					}
					?>
					<BR>
					<BR>
					<a href="index.php?option=com_jupdate"><?php echo _CLICK_HERE_TO_GOTO_HOMEPAGE?></a>
				</td>
			</tr>
		</table>
		<?php
	}
	
	function showsmalltest($result,$lists){
		global $mainframe;	
		$config = new JConfig();
		JToolBarHelper::title(_CHECK_SMALLTEST);	
?>
		<script language="javascript">
		function openDiv(div_id){
			var temp = document.getElementById(div_id);
			if(temp.style.display == "none"){
				temp.style.display = "block";
			}
		}
		function submitFtpForm(){
			var form = document.adminForm;
			ftp_name = form.ftp_name;
			ftp_host = form.ftp_host;
			ftp_password = form.ftp_password;
			ftp_root = form.ftp_root;
			if(ftp_host.value == ""){
				alert("<?php echo _PLEASE_ENTER_HOST?>");
			}else if(ftp_name.value == ""){
				alert("<?php echo _PLEASE_ENTER_NAME?>");
			}else if(ftp_password.value == ""){
				alert("<?php echo _PLEAE_ENTER_PASSWORD?>");
			}else if(ftp_root.value == ""){
				alert("<?php echo _PLEASE_ENTER_FTP_ROOT?>");
			}else{
				form.submit()
			}
		}
		</script>
		<table cellpadding="0" cellspacing="0" width="100%" class="admintable">
			<tr>
				<td class="key"><?php echo CURL;?></td>
				<td><?php echo $result[$lists['curl']]?></td>
			</tr>
			<tr>
				<td class="key"><?php echo CREAT_FOLDER;?></td>
				<td><?php echo $result[$lists['creat_folder']]?></td>
			</tr>
			<tr>
				<td class="key"><?php echo DELETE_FOLDER;?></td>
				<td><?php echo $result[$lists['delete_folder']]?></td>
			</tr>								
			<tr>
				<td class="key"><?php echo COPY_FILE;;?></td>
				<td><?php echo $result[$lists['copy']]?></td>
			</tr>					
			<tr>
				<td class="key"><?php echo _OVERWRITE_FILE;?></td>
				<td><?php echo $result[$lists['overwrite']]?></td>
			</tr>	
			<tr>
				<td class="key"><?php echo EXTRACT_FILE;?></td>
				<td><?php echo $result[$lists['extract']]?></td>
			</tr>	
			<tr>
				<td class="key"><?php echo CHANGE_FILE_PERMISSION;?></td>
				<td><?php echo $result[$lists['changemode']]?>&nbsp;&nbsp;&nbsp;
				<?php
				$ftp_check = JRequest::getVar('ftp_check',0);
				if($lists['changemode'] == 0){
					?>
					
					<b>
					<a href="javascript:openDiv('ftp_div')">
						<?php echo _IF_YOU_HAVE_FTP?>
					</a>
					</b>
					<div style="display:none;" id="ftp_div">
						<form method="POST" action="index.php" name="adminForm">
						<table cellpadding="0" cellspacing="0" width="300">
							<tr>
								<td width="30%" align="left" style="padding:3px;">
									<?php echo _FTP_HOST?>
								</td>
								<td width="70%" align="left" style="padding:3px;">
									<input type="text" name="ftp_host" size="30" value="<?php echo $config->ftp_host?>">
								</td>
							</tr>
							<tr>
								<td width="30%" align="left" style="padding:3px;">
									<?php echo _FTP_PORT?>
								</td>
								<td width="70%" align="left" style="padding:3px;">
									<input type="text" name="ftp_root" size="30" value="<?php echo $config->ftp_port?>">
								</td>
							</tr>
							<tr>
								<td width="30%" align="left" style="padding:3px;">
									<?php echo _FTP_NAME?>
								</td>
								<td width="70%" align="left" style="padding:3px;">
									<input type="text" name="ftp_name" size="30" value="<?php echo $config->ftp_user?>">
								</td>
							</tr>
							<tr>
								<td width="30%" align="left" style="padding:3px;">
									<?php echo _FTP_PASSWORD?>
								</td>
								<td width="70%" align="left" style="padding:3px;">
									<input type="text" name="ftp_password" size="30" value="<?php echo $config->ftp_pass?>">
								</td>
							</tr>
							<tr>
								<td width="30%" align="left" style="padding:3px;">
									<?php echo _FTP_ROOT?>
								</td>
								<td width="70%" align="left" style="padding:3px;">
									<input type="text" name="ftp_root" size="30" value="<?php echo $config->ftp_root?>">
								</td>
							</tr>
							
							<tr>
								<td width="100%" colspan="2" style="padding:3px;">
									<input type="button" value="<?php echo _SUBMIT?>" class="button" onclick="javascript:submitFtpForm()">
								</td>
							</tr>
						</table>
						<input type="hidden" name="option" value="com_jupdate">
						<input type="hidden" name="ftp_check" value="1">
						<input type="hidden" name="task" value="check_system">
						</form>
					</div>
					<?php
				}elseif(($ftp_check==1) and ($lists['changemode'] == 1)){
					echo _BY_USING_FTP_CONNECT;
				}
				?>
				</td>
			</tr>		
		</table>					
<?php 
	}
}
?>