<?php
/**
* @version		$Id: admin.contact.php 10571 2008-07-21 01:27:35Z pasamio $
* @package		Joomla
* @subpackage	Joomla Update
* @copyright	Copyright (C) 2005 - 2008 Ossolution. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
error_reporting(E_PARSE | E_CORE_ERROR | E_COMPILE_ERROR | E_ERROR | E_USER_ERROR | E_RECOVERABLE_ERROR);
$document = JFactory::getDocument();
$document->addScript(JURI::root()."administrator/components/com_jupdate/js/ajax.js");
$document->addStyleSheet(JURI::root()."administrator/components/com_jupdate/style.css");
include(JPATH_COMPONENT_ADMINISTRATOR.DS."helpers".DS."ftp.php");
//include(JPATH_COMPONENT_ADMINISTRATOR.DS."languages".DS."en-GB.php");

jimport('joomla.utilities.date');

// define language
$language = Jfactory::getLanguage();
$meta_language = $language->_metadata;
$lang = $meta_language['tag'];
if($lang == ""){
	$lang = "en-GB";
} 
if(!file_exists(JPATH_COMPONENT_ADMINISTRATOR.DS."languages".DS.$lang.".php")){
	include(JPATH_COMPONENT_ADMINISTRATOR.DS."languages".DS."en-GB.php");	
}else{
	include(JPATH_COMPONENT_ADMINISTRATOR.DS."languages".DS."$lang.php");
}

require_once (JApplicationHelper::getPath('admin_html'));
global $mainframe;
$task = JRequest::getVar('task','');
switch ($task){
	default:
		defaultview($option);
	break;
	case "doinstall":
		doupdate($option);
	break;
	case "install":
		install($option);
	break;
	case "domanualinstall":
		domanualinstall($option);
	break;
	case "update":
		update($option);
	break;
	case "preinstall":
		preinstall($option);
	break;
	case "restore":
		restore($option);
	break;
	case "restore_confirm":
		restore_confirm($option);
	break;
	case "gotoupdate":
		$mainframe->redirect("index.php?option=com_jupdate");
	break;
	case "save_config":
		save_config($option,1);
	break;
	case "apply_config":
		save_config($option,0);
	break;
	case "config":
		config($option);
	break;
	
	//ju component
	case "upgrateju":
		upgrateju($option);
	break;
	case "preinstallju":
		preinstallju($option);
	break;
	case "doinstallju":
		doinstallju($option);
	break;
	case "domanualinstallju":
		domanualinstallju($option);
	break;
	case "test":
		test($option);
	break;
	case "test_backup":
		test_backup($option);
	break;
	case "check_system":
		check_system($option);
	break;
}

function check_system($option){
	global $mainframe;		 
	$lists = array();
	$result = array();		
	$result[] = "<span style='color:red'><b>"._NO."</b></span>";
	$result[] = "<span style='color:green'><b>"._YES."</b></span>";
	
	jimport('joomla.filesystem.folder');
	jimport('joomla.filesystem.file');
	jimport('joomla.filesystem.archive');
	 
	$path_tmp = JPATH_COMPONENT_ADMINISTRATOR;
	$path_test = JPATH_COMPONENT_ADMINISTRATOR.DS."languages".DS."test.zip";
	
	$new_folder = JPATH_ROOT.DS."tmp";
	$new_folder_sub = JPATH_ROOT.DS."tmp".DS."backup";
	// check creafolder	
	if (!JFolder::exists($new_folder)){
		if (JFolder::create($new_folder)){
			$lists['creat_folder'] = 1;
		}else{
			$lists['creat_folder'] = 0;
		}
	}
	if (!JFolder::exists($new_folder_sub)){
		if (JFolder::create($new_folder_sub)){
			$lists['creat_folder'] = 1;
		}else{
			$lists['creat_folder'] = 0;
		}
	}
	
	// check curl
	if (function_exists('curl_exec') ){
		$lists['curl'] = 1;
	}else{
		$lists['curl'] = 0;
	}
	
	// check copy	
	if(file_exists($path_test)){
		if (JFile::copy($path_test,JPATH_ROOT.DS."tmp".DS."test.zip")){
			$lists['copy'] = 1;			
			if(!chmod(JPATH_ROOT.DS."tmp".DS."test.zip",0775)){
				$lists['changemode'] = 0;
				$ftp_check = JRequest::getVar('ftp_check',0);
				if($ftp_check == 1){
					$ftp_host = JRequest::getVar('ftp_host','');
					$ftp_name = JRequest::getVar('ftp_name','');
					$ftp_password = JRequest::getVar('ftp_password','');
					$ftp_root = JRequest::getVar('ftp_root','');
					$conn_id = ftp_connect($ftp_host);
					if(! $conn_id){
						echo _CANNOT_CONNECT_TO_FTP1;
					}else{
						$login_result = ftp_login($conn_id, $ftp_name, $ftp_password);
						if($login_result){
							// try to chmod $file to 644
							if (ftp_chmod($conn_id, 0775, $ftp_root.DS."tmp".DS."test.zip") !== false) {
							   $lists['changemode'] = 1;
							} else {
							   $lists['changemode'] = 0;
							}
							// close the connection
						}else{
							echo _CANNOT_CONNECT_TO_FTP;
						}
						ftp_close($conn_id);
					}
				}
				
			}else{
				$lists['changemode'] = 1;
			}
		}else {
			$lists['copy'] = 0;
		}
	}
	
	// check move folder
	if (JFolder::exists($new_folder_sub)){
		if (JFolder::delete($new_folder_sub)){
			$lists['delete_folder'] = 1;
		}else{
			$lists['delete_folder'] = 0;
		}
	}
	
	
	//backup index.php
	$source = JPATH_ROOT.DS."index.php";
	$dest   = JPATH_ROOT.DS."tmp".DS."index.php";
	
	if(!JFile::copy($source,$dest)){
		$lists['copy'] = 0;
	}else{
		$lists['copy'] = 1;
		$path_test = JPATH_COMPONENT_ADMINISTRATOR.DS."languages".DS."index.zip";
		//extract
		$extract_path = JPATH_ROOT.DS."tmp".DS."index";
		if(! JArchive::extract($path_test,$extract_path)){
			$lists['extract'] = 0;
		}else{
			$lists['extract'] = 1;
			if(file_exists($extract_path.DS."index.php")){
				if(!JFile::copy($extract_path.DS."index.php",$source)){
					$lists['overwrite'] = 0;	
				}else{
					$lists['overwrite'] = 1;
					if(!JFile::copy($dest,$source)){
						$lists['overwrite'] = 0;	
					}else{
						$lists['overwrite'] = 1;
					}
				}
			}
		}
	}

	//remove every thing
	$del = JPATH_ROOT.DS."tmp".DS."test.zip";
	if(! JFile::delete($del)){
		$ftp_check = JRequest::getVar('ftp_check',0);
		if($ftp_check == 1){
			$ftp_host = JRequest::getVar('ftp_host','');
			$ftp_name = JRequest::getVar('ftp_name','');
			$ftp_password = JRequest::getVar('ftp_password','');
			$ftp_root = JRequest::getVar('ftp_root','');
			$conn_id = ftp_connect($ftp_host);
			if($conn_id){
				$login_result = ftp_login($conn_id, $ftp_name, $ftp_password);
				if($login_result){
					$del = str_replace(JPATH_ROOT,$ftp_root,$del);
					ftp_delete($conn_id,$del);
				}
			}
		}
	}
	
	$del_folder = JPATH_ROOT.DS."tmp".DS."index";
	if(is_dir($del_folder)){
		if(! JFolder::delete($del_folder)){
			$ftp_check = JRequest::getVar('ftp_check',0);
			if($ftp_check == 1){
				$ftp_host = JRequest::getVar('ftp_host','');
				$ftp_name = JRequest::getVar('ftp_name','');
				$ftp_password = JRequest::getVar('ftp_password','');
				$ftp_root = JRequest::getVar('ftp_root','');
				$conn_id = ftp_connect($ftp_host);
				if($conn_id){
					$login_result = ftp_login($conn_id, $ftp_name, $ftp_password);
					if($login_result){
						$del_folder = str_replace(JPATH_ROOT,$ftp_root,$del_folder);
						ftp_rmdir($conn_id,$del_folder);
					}
				}
			}
		}
	}
	HTML_joomlaupdate::showsmalltest($result,$lists);
}


function test_backup($option){
	global $mainframe;
	$link = JPATH_ROOT.DS."tmp".DS."Joomla_1.5.21_to_1.5.22-Stable-Patch_Package.zip";
	$folder = "backup_".time();
	$db = JFactory::getDBO();
	//create temp folder
	jimport('joomla.filesystem.folder');
	jimport('joomla.filesystem.archive');
	jimport('joomla.filesystem.file');
	
	$temp_folder = JPATH_ROOT.DS."tmp".DS.$folder;
	$backup_folder = JPATH_ROOT.DS."tmp".DS."backup";
	
	
	//remove backup folder
	if(is_dir($backup_folder)){
		if(!JFolder::delete($backup_folder)){
			if($conn_id){
				$db->setQuery("Select config_value from #__ud_config where id = '13'");
				$ftp_root = $db->loadResult();
				$backup_folder_tmp = str_replace(JPATH_ROOT,$ftp_root,$backup_folder);
				ftp_rmdir($conn_id,$backup_folder_tmp);
			}
			ftp_close($conn_id);
		}
	}
	$db->setQuery("Delete from #__ud_backup");
	$db->query();
	//create the backup folder
	JFolder::create($backup_folder);
	//damdt
	
	JFolder::create($temp_folder);
	
	$chmod = chmod($link,0755);
	if(!$chmod){
		$conn_id = $conn_id = joomlaUpdateHelperFtp::initftp();
		if($conn_id){
			$chmod = joomlaUpdateHelperFtp::changemode($link,0775);
		}
		ftp_close($conn_id);
	}
	if(!$chmod){
		echo _CANNOT_CHANGE_FILE_PERMISSION;
	}else{
		JArchive::extract($link,$temp_folder);
		$arr = JFolder::listFolderTree($temp_folder);
		print_r($arr);
		for($i=0;$i<count($arr);$i++){
			$foldername =  $arr[$i]['fullname'];
			$foldername_new = str_replace($folder,"backup",$foldername);
			JFolder::create($foldername_new);
			$files = JFolder::files($foldername);
			$folder_insite = str_replace("tmp".DS.$folder.DS,"",$foldername);
			for($j=0;$j<count($files);$j++){
				$file = $files[$j];
				JFile::copy($folder_insite.DS.$file,$foldername_new.DS.$file);
			}
		}
		//for the file in the root folder
		$files = JFolder::files($temp_folder);
		$folder_insite = JPATH_ROOT;
		for($j=0;$j<count($files);$j++){
			$file = $files[$j];
			JFile::copy($folder_insite.DS.$file,$backup_folder.DS.$file);
		}
	}
}

function test($option){
	global $mainframe;
	
	$feed_link = "http://jsitepoint.com/update/packages/joomla/update.xml";
	
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL,$feed_link);
	curl_setopt($ch, CURLOPT_FAILONERROR, 1);
	curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
	curl_setopt($ch, CURLOPT_TIMEOUT, 30); //times out after 4s
	curl_setopt($ch, CURLOPT_RETURNTRANSFER,1); 
	$result=curl_exec ($ch); 
	curl_close ($ch);
	
	require_once( JPATH_SITE . DS."libraries".DS."domit".DS."xml_domit_lite_include.php" );
	$xmlDoc = new DOMIT_Lite_Document();
	$xmlDoc->resolveErrors( true );
	$xmlDoc->parseXML($result,false,true);
	$root=&$xmlDoc->documentElement;
	//$update = & $root->getElementsByPath('update',1);
	$release = $root->getAttribute('release');
	echo $release;
	//$release = $release->getText();
	//echo $release;
}

function domanualinstallju($option){
	global $mainframe;
	$db = JFactory::getDBO();
	$db->setQuery("Select * from #__ud_config");
	$config = $db->loadObjectList();
	$jreg =& JFactory::getConfig();
	$tempdir = $jreg->getValue('config.tmp_path');
	
	jimport('joomla.filesystem.file');
	if(is_uploaded_file($_FILES['pack_file']['tmp_name'])){
		$destname = "patch_ju.zip";
		$destlink = JPATH_ROOT.DS."tmp".DS.$destname;
		if(!JFile::upload($_FILES['pack_file']['tmp_name'],$destlink)){
			$mainframe->redirect("index.php?option=com_jupdate&task=preinstallju",_CANNOT_UPLOAD_FILE);
		}
	}
	jimport('joomla.filesystem.folder');
	jimport('joomla.filesystem.file');
	jimport('joomla.filesystem.archive');
	
	$pack_file = JPATH_ROOT.DS."tmp".DS."patch_ju.zip";
	$error = 0;
	if(! JFile::exists($pack_file)){
		$error = 1;
		$msg = _FILE_IS_NOT_EXISTS;
	}else{
		$chmod = chmod($pack_file,0755);
		if(!$chmod){
			if(joomlaUpdateHelperFtp::initftp()){
				$chmod = joomlaUpdateHelperFtp::changemode($pack_file,0775);
			}
		}
		if($chmod){
			$folder = time();
			if(!JArchive::extract($pack_file,JPATH_ROOT.DS."tmp".DS.$folder)){
				$error = 1;
				$msg = _CANNOT_EXTRACT_ZIP_FILE;
			}else{
				//2 zip file backend.zip and frontend.zip
				$version = JPATH_ROOT.DS."tmp".DS.$folder.DS."version.txt";
				if(Jfile::exists($version)){
					//read the text file and check the version
					$fh = fopen($version, 'r');
					$newversion = fread($fh, filesize($version));
					fclose($fh);
					$newversion = trim($newversion);
					if($newversion == ""){
						$error = 1;
						$msg = _UPGRADE_VERSION_IS_NOT_CORRECT;
					}else{
						if($newversion == $current_version){
							//this is current version
							$error = 1;
							$msg = _YOU_ARE_INSTALLING_CURRENT_VERSION;
						}else{
						
							$backend_link = JPATH_ROOT.DS."tmp".DS.$folder.DS."backend".DS."backend.zip";
							$frontend_link = JPATH_ROOT.DS."tmp".DS.$folder.DS."frontend".DS."frontend.zip";
							$backend_folder = JPATH_ADMINISTRATOR.DS."components".DS."com_jupdate";
							$frontend_folder = JPATH_COMPONENT.DS."components".DS."com_jupdate";
							if(! JFile::exists($backend_link)){
								$error = 1;
								$msg = _FILE_IS_NOT_EXISTS;
							}elseif(! JFile::exists($frontend_link)){
								$error = 1;
								$msg = _FILE_IS_NOT_EXISTS;
							}else{
								//extrac backend
								
								$chmod = chmod($frontend_link,0755);
								if(!$chmod){
									if(joomlaUpdateHelperFtp::initftp()){
										$chmod = joomlaUpdateHelperFtp::changemode($frontend_link,0775);
									}
								}
								if(! $chmod){
									$error = 1;
									$msg = _CANNOT_EXTRACT_ZIP_FILE;
								}else{
									if(! JArchive::extract($frontend_link,$frontend_folder)){
										if(! joomlaUpdateHelperFtp::extractziptofolder($frontend_link,$frontend_folder,'frontend')){
											$error = 1;
											$msg = _CANNOT_EXTRACT_ZIP_FILE;
										}
									}
								}
								
								
								$chmod = chmod($backend_link,0755);
								if(!$chmod){
									if(joomlaUpdateHelperFtp::initftp()){
										$chmod = joomlaUpdateHelperFtp::changemode($backend_link,0775);
									}
								}
								if(! $chmod){
									$error = 1;
									$msg = _CANNOT_EXTRACT_ZIP_FILE;
								}else{
									if(! JArchive::extract($backend_link,$backend_folder)){
										if(! joomlaUpdateHelperFtp::extractziptofolder($backend_link,$backend_folder,'backend')){
											$error = 1;
											$msg = _CANNOT_EXTRACT_ZIP_FILE;
										}
									}
								}
							}
						}
					}
				}else{
					$error = 1;
					$msg = _UPGRADE_VERSION_IS_NOT_CORRECT;
				}
			}
		}else{
			$error = 1;
			$msg = _CANNOT_EXTRACT_ZIP_FILE;
		}
	}
	if($error == 0){
		$db->setQuery("Update #__ud_config set config_value = '$newversion' where config_name like 'ug_current_version'");
		$db->query();
	}
	HTML_joomlaupdate::intallResult($option,$error,$msg,$newversion);
}

function doinstallju($option){
	global $mainframe;
	$db = JFactory::getDBO();
	$db->setQuery("Select * from #__ud_config");
	$config = $db->loadObjectList();
	$current_version = $config[10]->config_value;
	
	jimport('joomla.filesystem.folder');
	jimport('joomla.filesystem.file');
	jimport('joomla.filesystem.archive');
	
	$pack_file = JPATH_ROOT.DS."tmp".DS."patch_ju.zip";
	$error = 0;
	if(! JFile::exists($pack_file)){
		$error = 1;
		$msg = _FILE_IS_NOT_EXISTS;
	}else{
		$chmod = chmod($pack_file,0755);
		if(!$chmod){
			if(joomlaUpdateHelperFtp::initftp()){
				$chmod = joomlaUpdateHelperFtp::changemode($pack_file,0775);
			}
		}
		if($chmod){
			$folder = time();
			if(!JArchive::extract($pack_file,JPATH_ROOT.DS."tmp".DS.$folder)){
				$error = 1;
				$msg = _CANNOT_EXTRACT_ZIP_FILE;
			}else{
				//2 zip file backend.zip and frontend.zip
				$version = JPATH_ROOT.DS."tmp".DS.$folder.DS."version.txt";
				if(Jfile::exists($version)){
					//read the text file and check the version
					$fh = fopen($version, 'r');
					$newversion = fread($fh, filesize($version));
					fclose($fh);
					$newversion = trim($newversion);
					if($newversion == ""){
						$error = 1;
						$msg = _UPGRADE_VERSION_IS_NOT_CORRECT;
					}else{
						if($newversion == $current_version){
							//this is current version
							$error = 1;
							$msg = _YOU_ARE_INSTALLING_CURRENT_VERSION;
						}else{
						
							$backend_link = JPATH_ROOT.DS."tmp".DS.$folder.DS."backend".DS."backend.zip";
							$frontend_link = JPATH_ROOT.DS."tmp".DS.$folder.DS."frontend".DS."frontend.zip";
							$backend_folder = JPATH_ADMINISTRATOR.DS."components".DS."com_jupdate";
							$frontend_folder = JPATH_COMPONENT.DS."components".DS."com_jupdate";
							if(! JFile::exists($backend_link)){
								$error = 1;
								$msg = _FILE_IS_NOT_EXISTS;
							}elseif(! JFile::exists($frontend_link)){
								$error = 1;
								$msg = _FILE_IS_NOT_EXISTS;
							}else{
								//extrac backend
								
								$chmod = chmod($frontend_link,0755);
								if(!$chmod){
									if(joomlaUpdateHelperFtp::initftp()){
										$chmod = joomlaUpdateHelperFtp::changemode($frontend_link,0775);
									}
								}
								if(! $chmod){
									$error = 1;
									$msg = _CANNOT_EXTRACT_ZIP_FILE;
								}else{
									if(! JArchive::extract($frontend_link,$frontend_folder)){
										if(! joomlaUpdateHelperFtp::extractziptofolder($frontend_link,$frontend_folder,'frontend')){
											$error = 1;
											$msg = _CANNOT_EXTRACT_ZIP_FILE;
										}
									}
								}
								
								
								$chmod = chmod($backend_link,0755);
								if(!$chmod){
									if(joomlaUpdateHelperFtp::initftp()){
										$chmod = joomlaUpdateHelperFtp::changemode($backend_link,0775);
									}
								}
								if(! $chmod){
									$error = 1;
									$msg = _CANNOT_EXTRACT_ZIP_FILE;
								}else{
									if(! JArchive::extract($backend_link,$backend_folder)){
										if(! joomlaUpdateHelperFtp::extractziptofolder($backend_link,$backend_folder,'backend')){
											$error = 1;
											$msg = _CANNOT_EXTRACT_ZIP_FILE;
										}
									}
								}
							}
						}
					}
				}else{
					$error = 1;
					$msg = _UPGRADE_VERSION_IS_NOT_CORRECT;
				}
			}
		}else{
			$error = 1;
		}
	}
	if($error == 0){
		$db->setQuery("Update #__ud_config set config_value = '$newversion' where config_name like 'ug_current_version'");
		$db->query();
	}
	HTML_joomlaupdate::intallResult($option,$error,$msg,$newversion);
}


function upgrateju($option){
	global $mainframe;
	$db = JFactory::getDBO();
	$db->setQuery("Select * from #__ud_config");
	$config = $db->loadOBjectList();
	HTML_joomlaupdate::updateju($option,$config);
}

function preinstallju($option){
	global $mainframe;
	//download
	$db = JFactory::getDBO();
	
	$db->setQuery("Select * from #__ud_config");
	$config = $db->loadObjectList();
	$download_method = $config[0]->config_value;
	$server_link = $config[1]->config_value;
	$download_link = $server_link."/media/joomlapatch/patch_ju.zip";
	
	$basename = "patch_ju.zip";

	// Find the path to the temp directory and the local package
	$jreg =& JFactory::getConfig();
	$tempdir = $jreg->getValue('config.tmp_path');
	$target = $tempdir.DS.$basename;
	
	// Do we have a cached file?
	jimport('joomla.filesystem.file');
	$exists = JFile::exists($target);
	$exists = false;
	if(!$exists)
	{
		// Not there, let's fetch it
		if($download_method == 0){
		//get it by fopen
			$download = downloadPackagebyFopen($download_link,$target);
		}else{
			//get it by curl
			$download = downloadPackage($download_link,$target);
		}
	}else{
		$download = 1;
	}
	
	if(!$download){
		$error_download = 1;
	}else{
		$error_download = 0;
	}
	
	HTML_joomlaupdate::preinstallJu($option,$error_download,$config);
}




function save_config($option,$save){
	global $mainframe;
	$db = JFactory::getDBO();
	$download_method = JRequest::getVar('download_method');
	$use_proxy = JRequest::getVar('use_proxy');
	$proxy_hostname = JRequest::getVar('proxy_hostname');
	$proxy_port = JRequest::getVar('proxy_port');
	$proxy_username = JRequest::getVar('proxy_username');
	$proxy_password = JRequest::getVar('proxy_password');
	$ftp_root = JRequest::getVar('ftp_root','');
	
	$db->setQuery("Update #__ud_config set config_value = '$download_method' where id = '1'");
	$db->query();
	$db->setQuery("Update #__ud_config set config_value = '$use_proxy' where id = '3'");
	$db->query();
	$db->setQuery("Update #__ud_config set config_value = '$proxy_hostname' where id = '4'");
	$db->query();
	$db->setQuery("Update #__ud_config set config_value = '$proxy_port' where id = '5'");
	$db->query();
	$db->setQuery("Update #__ud_config set config_value = '$proxy_username' where id = '6'");
	$db->query();
	$db->setQuery("Update #__ud_config set config_value = '$proxy_password' where id = '7'");
	$db->query();
	$db->setQuery("Update #__ud_config set config_value = '$ftp_root' where id = '13'");
	$db->query();
	if($save == 1){
		$mainframe->redirect("index.php?option=com_jupdate");
	}else{
		$mainframe->redirect("index.php?option=com_jupdate&task=config");
	}
}

function config($option){
	global $mainframe;
	$db = JFactory::getDBO();
	$db->setQuery("Select * from #__ud_config");
	$configs = $db->loadObjectList();
	$arr[] = JHTML::_('select.option','1','Curl');
	$arr[] = JHTML::_('select.option','0','FOpen');
	$lists['download'] = JHTML::_('select.genericlist',$arr, 'download_method', 'class="inputbox"','value','text', $configs[0]->config_value);
	
	$lists['use_proxy'] = JHTML::_('select.booleanlist', 'use_proxy', 'class="inputbox"', $configs[2]->config_value);
	
	HTML_joomlaupdate::config($option,$configs,$lists);
}

function restore_confirm($option){
	global $mainframe;
	$db = JFactory::getDBO();
	$db->setQuery("Select * from #__ud_backup");
	$backup = $db->loadObject();
	HTML_joomlaupdate::restore_confirm($option,$backup);
}

function restore($option){
	global $mainframe;
	$db  = JFactory::getDBO();
	jimport('joomla.filesystem.folder');
	jimport('joomla.filesystem.archive');
	jimport('joomla.filesystem.file');
	$conn_id = joomlaUpdateHelperFtp::initftp();
	if($conn_id){
		$db->setQuery("Select config_value from #__ud_config where id = '13'");
		$ftp_root = $db->loadResult();
	}
	$restore_complete = 1;
	$backup_folder = JPATH_ROOT.DS."tmp".DS."backup";
	$arr = JFolder::listFolderTree($backup_folder);
	for($i=0;$i<count($arr);$i++){
		$foldername =  $arr[$i]['fullname'];
		$files = JFolder::files($foldername);
		$folder_insite = str_replace("tmp".DS."backup".DS,"",$foldername);
		for($j=0;$j<count($files);$j++){
			$file = $files[$j];
			if(!JFile::copy($foldername.DS.$file,$folder_insite.DS.$file)){
				$restore_complete = 0;
				if($conn_id){
					$foldername = str_replace(JPATH_ROOT,$ftp_root,$foldername);
					$folder_insite = str_replace(JPATH_ROOT,$ftp_root,$folder_insite);
					if(!ftp_put($conn_id,$foldername.DS.$file,$folder_insite.DS.$file,FTP_BINARY)){
						$restore_complete = 0;
					}
				}
			}
		}
	}
	//for the file in the root folder
	$files = JFolder::files($backup_folder);
	$folder_insite = JPATH_ROOT;
	for($j=0;$j<count($files);$j++){
		$file = $files[$j];
		if(!JFile::copy($backup_folder.DS.$file,$folder_insite.DS.$file)){
			$restore_complete = 0;
			if($conn_id){
				$backup_folder = str_replace(JPATH_ROOT,$ftp_root,$backup_folder);
				$folder_insite = str_replace(JPATH_ROOT,$ftp_root,$folder_insite);
				if(!ftp_put($conn_id,$backup_folder.DS.$file,$folder_insite.DS.$file,FTP_BINARY)){
					$restore_complete = 0;
				}
			}
		}
	}
	ftp_close($conn_id);
	if($restore_complete == 1){
		$db->setQuery("Select * from #__ud_backup");
		$backup = $db->loadObject();
		$version = $backup->version;
		$db->setQuery("Update #__ud_version set current_version = '$version'");
		$db->query();
	}
	HTML_joomlaupdate::restore($option,$restore_complete,$backup);
}

function preinstall($option){
	global $mainframe;
	//download
	$db = JFactory::getDBO();
	$db->setQuery("Select * from #__ud_version");
	$version = $db->loadObject();
	$db->setQuery("Select * from #__ud_config");
	$config = $db->loadObjectList();
	$download_method = $config[0]->config_value;
	$server_link = $config[1]->config_value;
	$download_link = $server_link."/media/joomlapatch/Joomla_".$version->current_version."_to_".$version->latest_version."-Stable-Patch_Package.zip";
	
	$basename = basename($download_link);

	// Find the path to the temp directory and the local package
	$jreg =& JFactory::getConfig();
	$tempdir = $jreg->getValue('config.tmp_path');
	$target = $tempdir.DS.$basename;
	// Do we have a cached file?
	jimport('joomla.filesystem.file');
	$exists = JFile::exists($target);

	if(!$exists)
	{
		// Not there, let's fetch it
		if($download_method == 0){
		//get it by fopen
			$download = downloadPackagebyFopen($download_link,$target);
		}else{
			//get it by curl
			$download = downloadPackage($download_link,$target);
		}
	}else{
		$download = 1;
	}
	
	if(!$download){
		$error_download = 1;
	}else{
		$error_download = 0;
	}
	
	HTML_joomlaupdate::preinstall($option,$error_download,$version);
}

function update($option){
	global $mainframe;
	$db = JFactory::getDBO();
	$db->setQuery("Select * from #__ud_version");
	$version = $db->loadObject();
	if($version->latest_version == ""){
		$latestversion = checklatestJoomlaversion($option);
		if($latestversion == ""){
			$latestversion = secondattempcheckJoomlaVersion($option);
		}
	}
	$jv = new JVersion();
	$current_version = $jv->getShortVersion();
	$db->setQuery("Update #__ud_version set current_version = '$current_version'");
	$db->query();
	$db->setQuery("Select * from #__ud_version");
	$version = $db->loadObject();
	
	$db->setQuery("Select config_value from #__ud_config where id = '2'");
	$server_link = $db->loadResult();
	$pack_link = $server_link."/media/joomlapatch/Joomla_".$version->current_version."_to_".$version->latest_version."-Stable-Patch_Package.zip";
	HTML_joomlaupdate::updateView($option,$version,$pack_link);
}

function defaultview($option){
	global $mainframe;
	$db = JFactory::getDBO();

	$db->setQuery("Select config_value from #__ud_config where id = '4'");
	$ftp_host = $db->loadResult();
	if($ftp_host == ""){
		//update ftp information from system
		$config = new JConfig();
		$ftp_host = $config->ftp_host;
		$ftp_port = $config->ftp_port;
		$ftp_user = $config->ftp_user;
		$ftp_pass = $config->ftp_pass;
		$ftp_root = $config->ftp_root;
		
		$db->setQuery("Update #__ud_config set config_value = '$ftp_host' where id = '4'");
		$db->query();
		$db->setQuery("Update #__ud_config set config_value = '$ftp_port' where id = '5'");
		$db->query();
		$db->setQuery("Update #__ud_config set config_value = '$ftp_user' where id = '6'");
		$db->query();
		$db->setQuery("Update #__ud_config set config_value = '$ftp_pass' where id = '7'");
		$db->query();
		$db->setQuery("Update #__ud_config set config_value = '$ftp_root' where id = '13'");
		$db->query();
	}
	
	//check current version of joomla update component
	$db->setQuery("Select config_value from #__ud_config where config_name like 'ug_current_version'");
	$ug_current_version = $db->loadResult();
	if($ug_current_version == ""){
		$db->setQuery("Update #__ud_config set config_value = '1.0' where config_name like 'ug_current_version'");
		$db->query();
	}
	//current version
	$currentversion = getUpdateInfo($option);
	
	$db->setQuery("Select config_value from #__ud_config where id = '12'");
	$latest_ju_version = $db->loadResult();
	if($latest_ju_version == ""){
		getJoomlaUpdateInfor($option);
	}
	
	$currenttime    = time();
	
	$db->setQuery("Select * from #__ud_version");
	$rows = $db->loadObjectList();
	if(count($rows) == 0){
		$latestversion = checklatestJoomlaversion($option);
		if($latestversion == ""){
			$latestversion = secondattempcheckJoomlaVersion($option);
		}
		$db->setQuery("Insert into #__ud_version(id,current_version,latest_version,update_on) values (NULL,'$currentversion','$latestversion','$currenttime')");
		$db->query();
	}else{
		$row = $rows[0];
		$update_on =  $row->update_on;
		//check and update joomla latest version
		if($currenttime - $update_on > 3600*3){
			$latestversion  = checklatestJoomlaversion($option);
			if($latestversion == ""){
				//check from Joomla org
				$latestversion = secondattempcheckJoomlaVersion($option);
			}
			$db->setQuery("Update #__ud_version set current_version = '$currentversion' ,latest_version = '$latestversion', update_on = '$currenttime'");
			$db->query();
		}
	}
	
	$db->setQuery("Select * from #__ud_version");
	$version = $db->loadObject();
	
	if($version->latest_version == ""){
		$latestversion = checklatestJoomlaversion($option);
		if($latestversion == ""){
			$latestversion = secondattempcheckJoomlaVersion($option);
		}
	}
	
	if($version->current_version == ""){
		$currentversion = getUpdateInfo($option);
		$db->setQuery("Update #__ud_version set current_version = '$currentversion'");
		$db->query();	
	}
	
	
	$db->setQuery("Select * from #__ud_version");
	$version = $db->loadObject();
	
	
	$db->setQuery("Select config_value from #__ud_config where id = '13'");
	$ftp_root = $db->loadResult();
	
	//check the component upgrate joomla
	$db->setQuery("Select config_value from #__ud_config where config_name like 'ug_version'");
	$ug_version = $db->loadResult();
	$db->setQuery("Select config_value from #__ud_config where config_name like 'ug_update'");
	$ug_update = $db->loadResult();
	$ug_update = intval($ug_update);
	
	//check latest JU component version
	if(($ug_version == "") or (time() - $ug_update > 86400)){
		getJoomlaUpdateInfor($option);
	}
	
	$db->setQuery("Select count(id) from #__ud_backup");
	$isbackup = $db->loadResult();
	
	//check to copy quick icon module
	$db->setQuery("Select config_value from #__ud_config where id = '8'");
	$move_module = $db->loadResult();
	if($move_module == 0){
		jimport('joomla.filesystem.file');
		//change name of the file
		$module_name    = JPATH_ADMINISTRATOR.DS."modules".DS."mod_quickicon".DS."mod_quickicon.php";
		$newmodule_name = JPATH_ADMINISTRATOR.DS."modules".DS."mod_quickicon".DS."bak.mod_quickicon.php";
		if(!chmod($module_name,0775)){
			$conn_id    = joomlaUpdateHelperFtp::initftp();
			if($conn_id){
				$module_file_ftp = str_replace(JPATH_ROOT,$ftp_root,$module_name);
				ftp_chmod($conn_id,0775,$module_file_ftp);
			}
		}
		
		//rename
		if(!rename($module_name,$newmodule_name)){
			$conn_id = joomlaUpdateHelperFtp::initftp();
			if($conn_id){
				$module_file_ftp = str_replace(JPATH_ROOT,$ftp_root,$module_name);
				$newmodule_file_ftp = str_replace(JPATH_ROOT,$ftp_root,$newmodule_name);
				ftp_rename($conn_id,$module_file_ftp,$newmodule_file_ftp);
			}
		}
		
		//after rename
		//copy file
		
		if(JFile::copy(JPATH_COMPONENT_ADMINISTRATOR.DS."modules".DS."mod_quickicon.php",JPATH_ADMINISTRATOR.DS."modules".DS."mod_quickicon".DS."mod_quickicon.php")){
			$db->setQuery("Update #__ud_config set config_value = '1' where id = '8'");
			$db->query();
		}else{
			$conn_id = joomlaUpdateHelperFtp::initftp();
			if($conn_id){
				ftp_put($conn_id,$ftp_root.DS."administrator".DS."components".DS."com_jupdate".DS."modules".DS."mod_quickicon.php",$ftp_root.DS."administrator".DS."modules".DS."mod_quickicon".DS."mod_quickicon.php");
			}			
			
		}
	}
	
	$db->setQuery("Select * from #__ud_config");
	$config = $db->loadObjectList();
	HTML_joomlaupdate::defaultView($option,$version,$isbackup,$config);
}	

function getJoomlaUpdateInfor($option){
	global $mainframe;
	$db = JFactory::getDBO();
	$db->setQuery("Select * from #__ud_config");
	$config = $db->loadObjectList();
	$server_link = $config[1]->config_value;
	$server_link = str_replace("www.","",$server_link);
	$check_version_link = $server_link."/index2.php?option=com_upgrademanage&task=check_ugversion";
	if(function_exists('curl_exec'))
	{
		$ch = curl_init();
		if (! $ch){
			$data = file_get_contents($check_version_link);
			if($data){
				//update into db
				$dataArr = explode("@",$data);
				$value = $dataArr[1];
				$db->setQuery("Update #__ud_config set config_value = '$value' where config_name like 'ug_version'");
				$db->query();
				$db->setQuery("Update #__ud_config set config_value = '".time()."' where config_name like 'ug_update'");
				$db->query();
			}
		}else{
			curl_setopt($ch, CURLOPT_URL,$check_version_link );
	        curl_setopt($ch, CURLOPT_HEADER, 0);
			curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
	        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($ch, CURLOPT_TIMEOUT,        30);
	        $data = curl_exec($ch);   
	        curl_close($ch);
			if($data){
				$dataArr = explode("@",$data);
				$value = $dataArr[1];
				$db->setQuery("Update #__ud_config set config_value = '$value' where config_name like 'ug_version'");
				$db->query();
				$db->setQuery("Update #__ud_config set config_value = '".time()."' where config_name like 'ug_update'");
				$db->query();
			}
		}
	}else{
		$data = file_get_contents($check_version_link);
		if($data){
			//update into db
			$dataArr = explode("@",$data);
			$value = $dataArr[1];
			$db->setQuery("Update #__ud_config set config_value = '$value' where config_name like 'ug_version'");
			$db->query();
			$db->setQuery("Update #__ud_config set config_value = '".time()."' where config_name like 'ug_update'");
			$db->query();
		}
	}
}

function checklatestJoomlaversion($option){
	global $mainframe;
	$db = JFactory::getDBO();
	$db->setQuery("Select * from #__ud_config");
	$config = $db->loadObjectList();
	$server_link = $config[1]->config_value;
	$server_link = str_replace("www.","",$server_link);
	$check_version_link = $server_link."/index2.php?option=com_upgrademanage&task=check_version";
	if(function_exists('curl_exec'))
	{
		$ch = curl_init();
		if (! $ch){
			$data = file_get_contents($check_version_link);
			if($data){
				$dataArr = explode("@",$data);
				$version = $dataArr[1];
				//update into db
				$db->setQuery("Update #__ud_version set latest_version = '$version',update_on = '".time()."'");
				$db->query();
			}
		}else{
			curl_setopt($ch, CURLOPT_URL,$check_version_link );
	        curl_setopt($ch, CURLOPT_HEADER, 0);
			curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
	        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($ch, CURLOPT_TIMEOUT,        30);
	        $data = curl_exec($ch);   
	        curl_close($ch);
			if($data){
				$dataArr = explode("@",$data);
				$version = $dataArr[1];
				//update into db
				$db->setQuery("Update #__ud_version set latest_version = '$version',update_on = '".time()."'");
				$db->query();
			}
		}
	}else{
		$data = file_get_contents($check_version_link);
		if($data){
			$dataArr = explode("@",$data);
			$version = $dataArr[1];
			//update into db
			$db->setQuery("Update #__ud_version set latest_version = '$version',update_on = '".time()."'");
			$db->query();
		}
	}
	return $version;
}


function secondattempcheckJoomlaVersion($option){
	global $mainframe;
	$db = JFactory::getDBO();
	$db->setQuery("Select * from #__ud_config");
	$config = $db->loadObjectList();
	$check_version_link = "http://jsitepoint.com/update/packages/joomla/update.xml";
	if(function_exists('curl_exec'))
	{
		$ch = curl_init();
		if (! $ch){
			$data = file_get_contents($check_version_link);
			if($data){
				$version = loadValuefromXml($data);
			}
		}else{
			curl_setopt($ch, CURLOPT_URL,$check_version_link );
	        curl_setopt($ch, CURLOPT_HEADER, 0);
			curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
	        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($ch, CURLOPT_TIMEOUT,        30);
	        $data = curl_exec($ch);   
	        curl_close($ch);
	        if($data){
				$version = loadValuefromXml($data);
			}
		}
	}else{
		$data = file_get_contents($check_version_link);
		if($data){
			$version = loadValuefromXml($data);
		}
	}
	
	if($version != ""){
		$db->setQuery("Update #__ud_version set latest_version = '$version',update_on = '".time()."'");
		$db->query();
	}
	return $version;
}

function loadValuefromXml($result){
	require_once( JPATH_SITE . DS."libraries".DS."domit".DS."xml_domit_lite_include.php" );
	$xmlDoc = new DOMIT_Lite_Document();
	$xmlDoc->resolveErrors( true );
	$xmlDoc->parseXML($result,false,true);
	$root=&$xmlDoc->documentElement;
	$release = $root->getAttribute('release');
	$release = trim($release);
	return $release;
}


function getUpdateInfo($force = false){
	global $mainframe;
	$jv = new JVersion();  
  	$currentversion = $jv->getShortVersion();
  	return $currentversion;
}
	

function install($option){
	global $mainframe;
	// Get the absolute path to site's root
	$siteroot = JPATH_SITE.DS."test";

	// Get the package name
	$file = JRequest::getString('file','');
	if(empty($file)) return false;
	$jreg =& JFactory::getConfig();
	$tempdir = $jreg->getValue('config.tmp_path');
	$file  = $tempdir.DS.$file;
	$file  = base64_encode($file);
	$siteroot = base64_encode($siteroot);
	HTML_joomlaupdate::installProcess($option,$file,$tempdir,$siteroot);
}

function domanualinstall($option){
	global $mainframe;
	$db = JFactory::getDBO();
	$db->setQuery("Select * from #__ud_version");
	$version = $db->loadObject();
	$jreg =& JFactory::getConfig();
	$tempdir = $jreg->getValue('config.tmp_path');
	
	jimport('joomla.filesystem.file');
	if(is_uploaded_file($_FILES['pack_file']['tmp_name'])){
		$destname = "Joomla_".$version->current_version."_to_".$version->latest_version."-Stable-Patch_Package.zip";
		$destlink  = $tempdir.DS.$destname;
		if(!JFile::upload($_FILES['pack_file']['tmp_name'],$destlink)){
			$mainframe->redirect("index.php?option=com_jupdate&task=preinstall",_CANNOT_UPLOAD_FILE);
		}
	}
	// Get the absolute path to site's root
	$siteroot = JPATH_SITE.DS."test";
	// Get the package name
	
	$file  = $destlink;
	$file  = base64_encode($file);
	$siteroot = base64_encode($siteroot);
	$backup_2 = JRequest::getVar('backup_2',0);
	jimport('joomla.filesystem.folder');
	if($backup_2 == 0){
		JFolder::delete(JPATH_ROOT.DS."tmp".DS."backup");
	}
	HTML_joomlaupdate::installProcess($option,$file,$tempdir,$backup_2);
}


function doupdate($option){
	global $mainframe;
	$db = JFactory::getDBO();
	$db->setQuery("Select * from #__ud_version");
	$version = $db->loadObject();
	
	$backup_1 = JRequest::getVar('backup_1',0);
	jimport('joomla.filesystem.folder');
	if($backup_1 == 0){
		JFolder::delete(JPATH_ROOT.DS."tmp".DS."backup");
	}
	
	// Get the package name
	$file = JPATH_ROOT.DS."tmp".DS."Joomla_".$version->current_version."_to_".$version->latest_version."-Stable-Patch_Package.zip";
	if(empty($file)) return false;
	$jreg =& JFactory::getConfig();
	$tempdir = $jreg->getValue('config.tmp_path');
	$file  = $tempdir.DS."Joomla_".$version->current_version."_to_".$version->latest_version."-Stable-Patch_Package.zip";
	$file  = base64_encode($file);
	$siteroot = base64_encode($siteroot);
	HTML_joomlaupdate::installProcess($option,$file,$tempdir,$backup_1);
}

function downloadPackagebyFopen($download_link,$target){
	global $mainframe;
	$db = JFactory::getDBO();
	$db->setQuery("Select * from #__ud_config");
	$config = $db->loadObjectList();
	$use_proxy = $config[2]->config_value;
	$host = $config[3]->config_value;
	$port = $config[4]->config_value;
	$user = $config[5]->config_value;
	$pass = $config[6]->config_value;
	$proxy = false;
	$php_errormsg = '';								// Set the error message
	$track_errors = ini_set('track_errors',true);	// Set track errors
	
	$config =& JFactory::getConfig();
	
	$input_handle = null;
	// Are we on a version of PHP that supports streams?
	if(version_compare(PHP_VERSION, '5.0.0', '>'))
	{
		// set the ua; we could use ini_set but it might not work
		$http_opts = Array('user_agent'=>generateUAString());
		// If:
		// - the proxy is enabled,
		// - the host is set and the port are set
		// Set the proxy settings and create a stream context
		if(($use_proxy == 1) and ($host != "") and ($port != ""))
		{
			$proxy = true;
			// I hate eclipse sometimes
			// If the user has a proxy username set fill this in as well
			$http_opts['proxy'] = 'tcp://'. $host . ':'. $port;
			$http_opts['request_fulluri'] = 'true'; // play nicely with squid
			if(strlen($user))
			{
				$credentials = base64_encode($user.':'.$pass);
				$http_opts['header'] = "Proxy-Authorization: Basic $credentials\r\n";
			}
		}

		$context = stream_context_create(array('http'=>$http_opts));
		$input_handle = @fopen($download_link, 'r', false, $context);
	}
	else
	{
		// Open remote server
		ini_set('user_agent', generateUAString()); // set the ua
		$input_handle = @fopen($download_link, "r"); // or die("Remote server connection failed");
		if(! $input_handle){
			$input_handle = file_get_contents($download_link);
		}
	}

	if (!$input_handle)
	{
		$download = 0;
	}

	 $wh = fopen($target, 'wb');
	
	while (!feof($input_handle)) {
	    if (fwrite($wh, fread($input_handle, 1024)) === FALSE) {
				$download = 1;
	       }else{
	       		$download = 0;
	       }
	}
	@fclose($input_handle);
	@fclose($wh);
	
	return $download;
}

function generateUAString($mask=true)
{
	$version = new JVersion();
	$lang =& JFactory::getLanguage();
	$parts = Array();
	if($mask) {
		$parts[] = 'Mozilla/5.0';
	} else {
		$parts[] = 'Joomla!';
	}
	$parts[] = '(Joomla; PHP; '. PHP_OS .'; '. $lang->getTag() .'; rv:1.9.1)';
	$parts[] = 'Joomla/'. $version->getShortVersion();
	return implode(' ', $parts);
}



function downloadPackage($url, $target){
	global $mainframe;
	if(function_exists('curl_exec'))
	{
		// By default, try using cURL
		$process = curl_init($url);
		curl_setopt($process, CURLOPT_HEADER, 0);
		// Pretend we are IE7, so that webservers play nice with us
		curl_setopt($process, CURLOPT_USERAGENT, 'Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.0.3705; .NET CLR 1.1.4322; Media Center PC 4.0)');
		//curl_setopt($process, CURLOPT_TIMEOUT, 30);
		curl_setopt($process, CURLOPT_SSL_VERIFYPEER, false);
		// The @ sign allows the next line to fail if open_basedir is set or if safe mode is enabled
		@curl_setopt($process, CURLOPT_FOLLOWLOCATION, 1);
		@curl_setopt($process, CURLOPT_MAXREDIRS, 20);
		curl_setopt($process, CURLOPT_RETURNTRANSFER, 1);
		// Can we directly touch the target?
		$touched = @touch($target);
		if($touched)
		{
			// Woot! We can write directly to the file!
			$fp = @fopen($target, 'wb');
			if($fp !== false)
			{
				curl_setopt($process, CURLOPT_FILE, $fp);
			}
			else
			{
				$touched = false;
			}
		}

		$data = curl_exec($process);
		curl_close($process);

		if( !$touched && ($data !== false) )
		{
			jimport('joomla.filesystem.file');
			$result = JFile::write($target, $data);
			if($result !== false) {
				return basename($target);
			} else {
				return false;
			}
		}
		elseif($touched && ($data !== false))
		{
			@fclose($fp);
			return basename($target);
		}
		elseif($data === false)
		{
			return false;
		}
	}
	else
	{
		// Use Joomla!'s download helper
		jimport('joomla.installer.helper');
		return JInstallerHelper::downloadPackage($url, $target);
	}
}
?>