<?php
class joomlaUpdateHelperFtp{
	function initftp(){
		global $mainframe;
		$db = JFactory::getDBO();
		$db->setQuery("Select * from #__ud_config");
		$configs = $db->loadObjectList();
		$host = $configs[3]->config_value;
		$username = $configs[5]->config_value;
		$password = $configs[6]->config_value;
		$root = $configs[11]->config_value;
		if(($host=="") or ($username == "") or ($password =="") or ($root == "")){
			return false;
		}else{
			$conn_id = ftp_connect($host);
			if(! $conn_id){
				return false;
			}else{
				$login_result = ftp_login($conn_id, $username, $password);
				if(!$login_result){
					return false;
				}else{
					return $conn_id;
				}
			}
		}
	}
	
	function closeftp($conn_id){
		ftp_close($conn_id);
	}
	
	function changemode($file, $mode){
		global $mainframe;
		$db = JFactory::getDBO();
		$db->setQuery("Select config_value from #__ud_config where config_name like 'ftp_root'");
		$ftp_root = $db->loadResult();
		if($ftp_root != ""){
			$file = str_replace(JPATH_ROOT,$ftp_root,$file);
			$conn_id = joomlaUpdateHelperFtp::initftp();
			if($conn_id){
				if (ftp_chmod($conn_id, $mode,$file) !== false) {
					joomlaUpdateHelperFtp::closeftp($conn_id);
				   return true;
				} else {
					joomlaUpdateHelperFtp::closeftp($conn_id);
				   return false;
				}
			}
		}else{
			return false;
		}
	}
	
	function extractzip($file){
		global $mainframe;
		//temp folder
		$db = JFactory::getDBO();
		jimport('joomla.filesystem.folder');
		jimport('joomla.filesystem.extract');
		jimport('joomla.filesystem.file');
		$folder_name = "tmp_".time();
		$conn_id = joomlaUpdateHelperFtp::initftp();
		if($conn_id){
			$db->setQuery("Select config_value from #__ud_config where id = '13'");
			$ftp_root = $db->loadResult();
		}
		
		
		$temp_folder = JPATH_ROOT.DS."tmp".DS.$folder_name;
		if(JArchive::extract($file,$temp_folder)){
			$arr = JFolder::listFolderTree($temp_folder);
			$extract = 1;
			for($i=0;$i<count($arr);$i++){
				$foldername =  $arr[$i]['fullname'];
				$files = JFolder::files($foldername);
				$folder_insite = str_replace("tmp".DS.$folder_name,"",$foldername);
				for($j=0;$j<count($files);$j++){
					$file = $files[$j];
					if(!JFile::copy($foldername.DS.$file,$folder_insite.DS.$file)){
						$extract = 0;
						//try second attem
						if($conn_id){
							$foldername_tmp = str_replace(JPATH_ROOT,$ftp_root,$foldername);
							$folder_insite_tmp = str_replace(JPATH_ROOT,$ftp_root,$folder_insite);
							if(!ftp_put($conn_id,$foldername_tmp.DS.$file,$folder_insite_tmp.DS.$file,FTP_BINARY)){
								$extract = 0;
							}
						}
					}
				}
			}
			//for the file in the root folder
			$files = JFolder::files($temp_folder);
			$folder_insite = JPATH_ROOT;
			for($j=0;$j<count($files);$j++){
				$file = $files[$j];
				if(!JFile::copy($temp_folder.DS.$file,$folder_insite.DS.$file)){
					$extract = 0;
					if($conn_id){
						$temp_folder_tmp = str_replace(JPATH_ROOT,$ftp_root,$temp_folder);
						$folder_insite_tmp = str_replace(JPATH_ROOT,$ftp_root,$folder_insite);
						if(!ftp_put($conn_id,$temp_folder_tmp.DS.$file,$folder_insite_tmp.DS.$file,FTP_BINARY)){
							$extract = 0;
						}
					}
				}
			}
			
			ftp_close($conn_id);
			
			if($extract == 0){
				return false;
			}else{
				return true;
			}
		}else{
			return false;
		}
	}
	
	
	function extractziptofolder($file,$folder,$folder_name_tmp){
		global $mainframe;
		//temp folder
		$db = JFactory::getDBO();
		jimport('joomla.filesystem.folder');
		jimport('joomla.filesystem.extract');
		jimport('joomla.filesystem.file');
		$folder_name = "tmp_".time()."_".$folder_name_tmp;
		$conn_id = joomlaUpdateHelperFtp::initftp();
		if($conn_id){
			$db->setQuery("Select config_value from #__ud_config where id = '13'");
			$ftp_root = $db->loadResult();
		}
		
		if($folder_name_tmp == "frontend"){
			$folder_insite_tmp = "components".DS."com_jupdate";
		}else{
			$folder_insite_tmp = "administrator".DS."components".DS."com_jupdate";
		}
		
		
		$temp_folder = JPATH_ROOT.DS."tmp".DS.$folder_name;
		if(JArchive::extract($file,$temp_folder)){
			$arr = JFolder::listFolderTree($temp_folder);
			$extract = 1;
			for($i=0;$i<count($arr);$i++){
				$foldername =  $arr[$i]['fullname'];
				$files = JFolder::files($foldername);
				$folder_insite = str_replace("tmp".DS.$folder_name,$folder_insite_tmp,$foldername);
				for($j=0;$j<count($files);$j++){
					$file = $files[$j];
					if($file != "Thumbs.db"){
						if(!JFile::copy($foldername.DS.$file,$folder_insite.DS.$file)){
							$extract = 0;
							//try second attem
							if($conn_id){
								$foldername_new = str_replace(JPATH_ROOT,$ftp_root,$foldername);
								$folder_insite_new = str_replace(JPATH_ROOT,$ftp_root,$folder_insite);
								if(!ftp_put($conn_id,$foldername_new.DS.$file,$folder_insite_new.DS.$file,FTP_BINARY)){
									$extract = 0;
								}
							}
						}
					}
				}
			}
			//for the file in the root folder
			$files = JFolder::files($temp_folder);
			$folder_insite = JPATH_ROOT.DS.$folder_insite_tmp;
			for($j=0;$j<count($files);$j++){
				$file = $files[$j];
				if(!JFile::copy($temp_folder.DS.$file,$folder_insite.DS.$file)){
					$extract = 0;
					if($conn_id){
						$temp_folder_new = str_replace(JPATH_ROOT,$ftp_root,$temp_folder);
						$folder_insite_new = str_replace(JPATH_ROOT,$ftp_root,$folder_insite);
						if(!ftp_put($conn_id,$temp_folder_new.DS.$file,$folder_insite_new.DS.$file,FTP_BINARY)){
							$extract = 0;
						}
					}
				}
			}
			
			ftp_close($conn_id);
			
			if($extract == 0){
				return false;
			}else{
				return true;
			}
		}else{
			return false;
		}
	}
}
?>